e>
      <rule pattern="[a-zA-Z_]\w*">
        <token type="Name"/>
      </rule>
      <rule pattern="(\d+\.?\d*|\d*\.\d+)([eE][+-]?[0-9]+)?">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="\d+">
        <token type="LiteralNumberInteger"/>
      </rule>
    </state>
    <state name="nestedcomment">
      <rule pattern="[^+/]+">
        <token type="CommentMultiline"/>
      </rule>
      <rule pattern="/\+">
        <token type="CommentMultiline"/>
        <push/>
      </rule>
      <rule pattern="\+/">
        <token type="CommentMultiline"/>
        <pop depth="1"/>
      </rule>
      <rule pattern="[+/]">
        <token type="CommentMultiline"/>
      </rule>
    </state>
  </rules>
</lexer>